tugas2_loginstatus/urls.py
from django.conf.urls import url
from .views import index
from .custom_auth import auth_login, auth_logout

urlpatterns = [
    url(r'^$', index, name='index'),
    # custom auth
    url(r'^custom_auth/login/$', auth_login, name='auth_login'),
    url(r'^custom_auth/logout/$', auth_logout, name='auth_logout'),
    ]

tugas2_ppw/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.views.generic.base import RedirectView
import tugas2_loginstatus.urls as tugas2_loginstatus
import tugas2_profile.urls as tugas2_profile
import tugas2_search.urls as tugas2_search
import tugas2_riwayat.urls as tugas2_riwayat

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^mahasiswa/profile/', include(tugas2_profile, namespace='tugas2_profile')),
    url(r'^mahasiswa/login/', include(tugas2_loginstatus,namespace='tugas2_loginstatus')),
    url(r'^mahasiswa/search/', include(tugas2_search,namespace='tugas2_search')),
    url(r'^mahasiswa/riwayat/', include(tugas2_riwayat, namespace='tugas2_riwayat')),
    url(r'^$', RedirectView.as_view(url="/mahasiswa/profile", permanent="true"), name='index'),
]

tugas2_riwayat/urls.py
from django.conf.urls import url
from .views import *

urlpatterns = [
    url(r'^$', index, name='index'),
]

tugas2_riwayat/models.py
from django.db import models

# Create your models here.

tugas2_riwayat/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect
from django.urls import reverse
import requests

# Create your views here.
response = {}
RIWAYAT_API = 'https://private-e52a5-ppw2017.apiary-mock.com/riwayat'

def index(request):
	if 'user_login' in request.session:
		response['riwayats'] = get_riwayat()
		html = 'tugas2_riwayat/riwayat/riwayat.html'
		# TODO ngambil rahasia dari objek mahasiswa
		response['rahasia'] = False
		response['nama_identitas'] = request.session['user_login']
		response['login'] = True
		return render(request, html, response)
	else:
		response['connected'] = False #digunakan sebagai penanda kapan header menampilkan tombol logout
		response['name'] = 'Tugas 2 PPW'
		response['login'] = False
		return redirect("/mahasiswa/profile/")

def get_riwayat():
	riwayat = requests.get(RIWAYAT_API)
	return riwayat.json()

tugas2_riwayat/templates/login/login.html
{% extends "login/layout/base.html" %}
{% block content %}
<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="rata-tengah">
            <div class="judul">
                <h1> Halaman Login </h1>
                <p class="text-info"> Gunakan <b> akun SSO </b> untuk login </p>
            </div>
            <form action="{% url 'tugas2_loginstatus:auth_login' %}" method="POST">
                {% csrf_token %}
                <p>
                    <label for="username"> Your username </label>
                    <input type="text" id="username" name="username" required>
                </p>
                <p>
                    <label for="password"> Your password </label>
                    <input type="password" id="password" name="password" required>
                </p>
                <input type="submit" class="btn btn-primary">
            </form>
        </div>
    </div>
</div>
{% endblock %}